Nouvelle version 2.2.17 Iqaluit

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
**Attention cette version nécessite PHP 7.x mini** et est désormais compatible PHP 8.0 et 8.1.

Annonce du Site En : Announcing CMS Made Simple v2.2.17 - Iqaluit (19/06/2023)
Documentation En Introducing CMSMS 2.0

Lire attentivement les informations du changelog (reproduites ci-dessous).

Core - General
- BR #12529 - Cacheable Pages have Bad Header Last-Modified;
- BR #12543 - Lib file corrections;
- BR #12618 - HasChildren() is broken;
- BR #12587 - can't uninstall modules;
- Compatibility fixes for PHP 7, 8.0 and 8.1;
- Smarty upgraded to version 4.2.1;
    Note: Smarty 2 syntax is still supported, but deprecated
- Add function CMSMS\strftime to replace deprecated PHP function. PHP Intl extension recommended to support this.
- Enabled use of PHP functions trim,ltrim,rtrim in smarty templates
- PHPMailer upgraded to version 6.6.0.
- fixes BR #12529 Cacheable Pages have Bad Header Last-Modified;
- added module's support for arrays in parameters;
- Fixes to cms_mailer class mainly in terms of proxy design pattern getters and setters and autotls settings;
- Smarty security policies changes: due to some modifications in the way updated Smarty now behaves, all static classes need to be registered for its use to be allowed in templates.

Content Manager 1.1.10
- Differentiate new page from cloned page.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Design Manager 1.1.10
- BR #12545 - Module: DesignManager typo info on top file.
- fixes typo BR #12545
- Compatibility fixes for PHP 7, 8.0 and 8.1.

FilePicker 1.0.6
- BR #12539 - Module FilePicker 1.0.5 files corrections.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Module Manager 2.1.9
- BR #12541 - Module ModuleManager 2.1.8 : corrections + compatible php 7.1.0 to 8.1.4.

News 2.51.12
- BR #12543 - Lib file corrections.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

FileManager 1.6.13
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Nota cette version 2.2.17 comprend la mise à jour depuis une version 1.12 mini directement
avant de mettre à jour une ancienne version inférieure à 1.12 d'abord faire une mise à jour en 1.12

**Attention cette version nécessite PHP 7.x mini**
Donc cette version n'est pas installable sur les pages perso de FREE.FR qui sont limitées à PHP 5.6.34 À compter de maintenant l'équipe de développement de CMSMS supportera uniquement les questions pour CMSMS 2.2.17 et 2.2.16.

Discussion fermée

Pour les questions ou soucis, poster sur le forum en ouvrant une nouvelle discussion :
  • dans le forum "Installation" pour les problèmes d'installation
  • dans le forum "Modules, Tags" pour les problèmes sur les modules et tags
Ouik - communication . outils numériques . design graphique
#1
**Attention cette version nécessite PHP 7.x mini** et est désormais compatible PHP 8.0 et 8.1.

Annonce du Site En : Announcing CMS Made Simple v2.2.17 - Iqaluit (19/06/2023)
Documentation En Introducing CMSMS 2.0

Lire attentivement les informations du changelog (reproduites ci-dessous).

Core - General
- BR #12529 - Cacheable Pages have Bad Header Last-Modified;
- BR #12543 - Lib file corrections;
- BR #12618 - HasChildren() is broken;
- BR #12587 - can't uninstall modules;
- Compatibility fixes for PHP 7, 8.0 and 8.1;
- Smarty upgraded to version 4.2.1;
    Note: Smarty 2 syntax is still supported, but deprecated
- Add function CMSMS\strftime to replace deprecated PHP function. PHP Intl extension recommended to support this.
- Enabled use of PHP functions trim,ltrim,rtrim in smarty templates
- PHPMailer upgraded to version 6.6.0.
- fixes BR #12529 Cacheable Pages have Bad Header Last-Modified;
- added module's support for arrays in parameters;
- Fixes to cms_mailer class mainly in terms of proxy design pattern getters and setters and autotls settings;
- Smarty security policies changes: due to some modifications in the way updated Smarty now behaves, all static classes need to be registered for its use to be allowed in templates.

Content Manager 1.1.10
- Differentiate new page from cloned page.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Design Manager 1.1.10
- BR #12545 - Module: DesignManager typo info on top file.
- fixes typo BR #12545
- Compatibility fixes for PHP 7, 8.0 and 8.1.

FilePicker 1.0.6
- BR #12539 - Module FilePicker 1.0.5 files corrections.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Module Manager 2.1.9
- BR #12541 - Module ModuleManager 2.1.8 : corrections + compatible php 7.1.0 to 8.1.4.

News 2.51.12
- BR #12543 - Lib file corrections.
- Compatibility fixes for PHP 7, 8.0 and 8.1.

FileManager 1.6.13
- Compatibility fixes for PHP 7, 8.0 and 8.1.

Nota cette version 2.2.17 comprend la mise à jour depuis une version 1.12 mini directement
avant de mettre à jour une ancienne version inférieure à 1.12 d'abord faire une mise à jour en 1.12

**Attention cette version nécessite PHP 7.x mini**
Donc cette version n'est pas installable sur les pages perso de FREE.FR qui sont limitées à PHP 5.6.34 À compter de maintenant l'équipe de développement de CMSMS supportera uniquement les questions pour CMSMS 2.2.17 et 2.2.16.

Discussion fermée

Pour les questions ou soucis, poster sur le forum en ouvrant une nouvelle discussion :
  • dans le forum "Installation" pour les problèmes d'installation
  • dans le forum "Modules, Tags" pour les problèmes sur les modules et tags
Ouik - communication . outils numériques . design graphique


Messages dans ce sujet
Nouvelle version 2.2.17 Iqaluit - par Ouik - 19/06/2023, 23:15:07

Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)